gtksourceviewmm: Gsv::Mark Class Reference

gtksourceviewmm 3.21.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gsv::Mark Class Reference

Mark class for Buffer. More...

`#include <gtksourceviewmm/mark.h>`

Inheritance diagram for Gsv::Mark:
[legend]

## Public Member Functions
| Mark (Mark&& src) noexcept
Mark& | operator= (Mark&& src) noexcept
| ~Mark () noexceptoverride
GtkSourceMark* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSourceMark* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSourceMark* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_category () const
| Returns the mark category. More...
Glib::RefPtr< Gsv::Mark > | next (const Glib::ustring& category)
| Returns the next Mark in the buffer. More...
Glib::RefPtr< const Gsv::Mark > | next (const Glib::ustring& category) const
| Returns the next Mark in the buffer. More...
Glib::RefPtr< Gsv::Mark > | next ()
| Returns the next Mark of any category in the buffer. More...
Glib::RefPtr< const Gsv::Mark > | next () const
| Returns the next Mark of any category in the buffer. More...
Glib::RefPtr< Gsv::Mark > | prev (const Glib::ustring& category)
| Returns the previous Mark in the buffer. More...
Glib::RefPtr< const Gsv::Mark > | prev (const Glib::ustring& category) const
| Returns the previous Mark in the buffer. More...
Glib::RefPtr< Gsv::Mark > | prev ()
| Returns the previous Mark of any category in the buffer. More...
Glib::RefPtr< const Gsv::Mark > | prev () const
| Returns the previous Mark of any category in the buffer. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_category () const
| The mark category. More...
Public Member Functions inherited from Gtk::TextMark
| TextMark (TextMark &&src) noexcept
TextMark & | operator= (TextMark &&src) noexcept
| ~TextMark () noexceptoverride
GtkTextMark * | gobj ()
const GtkTextMark * | gobj () const
GtkTextMark * | gobj_copy ()
void | set_visible (bool setting=true)
bool | get_visible () const
Glib::ustring | get_name () const
bool | get_deleted () const
Glib::RefPtr< TextBuffer > | get_buffer ()
Glib::RefPtr< const TextBuffer > | get_buffer () const
bool | get_left_gravity () const
TextIter | get_iter ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
Glib::PropertyProxy_ReadOnly< bool > | property_left_gravity () const
Glib::RefPtr< Gtk::TextMark > | wrap (GtkTextMark *object, bool take_copy=false)
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Mark > | create (const Glib::ustring& category)
| Creates an anonymous text mark. More...
static Glib::RefPtr< Mark > | create (const Glib::ustring& name, const Glib::ustring& category)
| Creates a text mark. More...
Static Public Member Functions inherited from Gtk::TextMark
static GType | get_type ()
static Glib::RefPtr< TextMark > | create (bool left_gravity=true)
static Glib::RefPtr< TextMark > | create (const Glib::ustring &name, bool left_gravity=true)

## Protected Member Functions
| Mark (const Glib::ustring& category)
| Mark (const Glib::ustring& name, const Glib::ustring& category)
Protected Member Functions inherited from Gtk::TextMark
| TextMark (bool left_gravity=true)
| TextMark (const Glib::ustring &name, bool left_gravity=true)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::Mark > | wrap (GtkSourceMark* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Mark class for Buffer.

Since gtksourceviewmm 2.2:

## Constructor & Destructor Documentation

Gsv::Mark::Mark | ( | Mark&& | src | ) |
| noexcept

Gsv::Mark::~Mark | ( |  | ) |
| overridenoexcept

Gsv::Mark::Mark | ( | const Glib::ustring & | category | ) |
| explicitprotected

Gsv::Mark::Mark | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | category
| ) |  |
| explicitprotected

## Member Function Documentation

static Glib::RefPtr<Mark> Gsv::Mark::create | ( | const Glib::ustring & | category | ) |
| static

Creates an anonymous text mark.

Add it to a buffer using Gtk::TextBuffer::add_mark(). Note that such marks cannot be retrieved by using Gtk::TextBuffer::get_mark(). Normally marks are created using the utility function Gsv::Buffer::create_source_mark().

Parameters

  category | Is used to classify marks according to common characteristics (e.g. all the marks representing a bookmark could belong to the "bookmark" category, or all the marks representing a compilation error could belong to "error" category).

Returns
  A new anonymous Mark that can be added using GtkTextBuffer::add_mark().

static Glib::RefPtr<Mark> Gsv::Mark::create | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | category
| ) |  |
| static

Creates a text mark.

Add it to a buffer using Gtk::TextBuffer::add_mark(). The mark can be retrieved by name by using Gtk::TextBuffer::get_mark(). Normally marks are created using the utility function Buffer::create_source_mark().

Parameters

  category | Is used to classify marks according to common characteristics (e.g. all the marks representing a bookmark could belong to the "bookmark" category, or all the marks representing a compilation error could belong to "error" category).
  name | Name of the Mark.

Returns
  A new Mark that can be added using GtkTextBuffer::add_mark().

Glib::ustring Gsv::Mark::get_category | ( |  | ) | const

Returns the mark category.

Returns
  The category of the Mark.

Since gtksourceviewmm 2.2:

static GType Gsv::Mark::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkSourceMark* Gsv::Mark::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkSourceMark* Gsv::Mark::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkSourceMark* Gsv::Mark::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<Gsv::Mark> Gsv::Mark::next | ( | const Glib::ustring & | category | ) |

Returns the next Mark in the buffer.

If there is no next mark, empty refptr will be returned.

Parameters

  category | A string specifying the mark category.

Returns
  The next Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const Gsv::Mark> Gsv::Mark::next | ( | const Glib::ustring & | category | ) | const

Returns the next Mark in the buffer.

If there is no next mark, empty refptr will be returned.

Parameters

  category | A string specifying the mark category.

Returns
  The next Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<Gsv::Mark> Gsv::Mark::next | ( |  | ) |

Returns the next Mark of any category in the buffer.

If there is no next mark, empty refptr will be returned.

Returns
  The next Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const Gsv::Mark> Gsv::Mark::next | ( |  | ) | const

Returns the next Mark of any category in the buffer.

If there is no next mark, empty refptr will be returned.

Returns
  The next Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Mark& Gsv::Mark::operator= | ( | Mark&& | src | ) |
| noexcept

Glib::RefPtr<Gsv::Mark> Gsv::Mark::prev | ( | const Glib::ustring & | category | ) |

Returns the previous Mark in the buffer.

If there is no previous mark, empty refptr will be returned.

Parameters

  category | A string specifying the mark category.

Returns
  The previous Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const Gsv::Mark> Gsv::Mark::prev | ( | const Glib::ustring & | category | ) | const

Returns the previous Mark in the buffer.

If there is no previous mark, empty refptr will be returned.

Parameters

  category | A string specifying the mark category.

Returns
  The previous Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<Gsv::Mark> Gsv::Mark::prev | ( |  | ) |

Returns the previous Mark of any category in the buffer.

If there is no previous mark, empty refptr will be returned.

Returns
  The previous Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const Gsv::Mark> Gsv::Mark::prev | ( |  | ) | const

Returns the previous Mark of any category in the buffer.

If there is no previous mark, empty refptr will be returned.

Returns
  The previous Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::Mark::property_category | ( |  | ) | const

The mark category.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::Mark > wrap | ( | GtkSourceMark * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.